>>>>> On Sat, 08 Jun 2024, Ulrich Mueller wrote:

> gnome2.eclass still inherits ltprune, shouldn't this be updated first?
> That is, drop EAPI 6 support from gnome2.eclass?

I.e. like this?

From cb1cfe6e9fae160f5934ef490386fd6799123793 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ulrich=20M=C3=BCller?= <u...@gentoo.org>
Date: Sat, 8 Jun 2024 18:15:31 +0200
Subject: [PATCH] gnome2.eclass: Drop support for EAPI 6
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Ulrich Müller <u...@gentoo.org>
---
 eclass/gnome2.eclass | 23 ++++++-----------------
 1 file changed, 6 insertions(+), 17 deletions(-)

diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index 66de2df97f9f..84f3aabf8ea7 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -4,7 +4,7 @@
 # @ECLASS: gnome2.eclass
 # @MAINTAINER:
 # gn...@gentoo.org
-# @SUPPORTED_EAPIS: 6 7 8
+# @SUPPORTED_EAPIS: 7 8
 # @PROVIDES: gnome2-utils
 # @BLURB: Provides phases for Gnome/Gtk+ based packages.
 # @DESCRIPTION:
@@ -12,7 +12,7 @@
 # GNOME framework. For additional functions, see gnome2-utils.eclass.
 
 case ${EAPI} in
-       6|7|8) ;;
+       7|8) ;;
        *) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
 esac
 
@@ -26,7 +26,6 @@ _GNOME2_ECLASS=1
 GNOME2_EAUTORECONF=${GNOME2_EAUTORECONF:-""}
 
 [[ ${GNOME2_EAUTORECONF} == yes ]] && inherit autotools
-[[ ${EAPI} == 6 ]] && inherit ltprune
 
 inherit libtool gnome.org gnome2-utils xdg
 
@@ -43,11 +42,9 @@ ELTCONF=${ELTCONF:-""}
 
 # @ECLASS_VARIABLE: GNOME2_LA_PUNT
 # @DESCRIPTION:
-# In EAPI 6, it relies on prune_libtool_files (from ltprune.eclass) for
-# this. Later EAPIs use find ... -delete. Available values for GNOME2_LA_PUNT:
+# Use find ... -delete. Available values for GNOME2_LA_PUNT:
 # - "no": will not clean any .la files
-# - "yes": will run prune_libtool_files --modules
-# - If it is not set, it will run prune_libtool_files
+# - otherwise, will clean .la files
 GNOME2_LA_PUNT=${GNOME2_LA_PUNT:-""}
 
 # @FUNCTION: gnome2_src_prepare
@@ -170,16 +167,8 @@ gnome2_src_install() {
        rm -rf "${ED}/usr/share/applications/mimeinfo.cache" || die
 
        # Delete all .la files
-       if has ${EAPI} 6; then
-               case "${GNOME2_LA_PUNT}" in
-                       yes)    prune_libtool_files --modules;;
-                       no)     ;;
-                       *)      prune_libtool_files;;
-               esac
-       else
-               if [[ ${GNOME2_LA_PUNT} != 'no' ]]; then
-                       find "${ED}" -name '*.la' -delete || die
-               fi
+       if [[ ${GNOME2_LA_PUNT} != 'no' ]]; then
+               find "${ED}" -type f -name '*.la' -delete || die
        fi
 }
 
-- 
2.45.2

Attachment: signature.asc
Description: PGP signature

Reply via email to